/* override conflicting risr styling */
hci-search-list-controller .search-options input {
    width: inherit;
    font-size: inherit;
}

/*****
 * Adds a border to mat-form-field legacy appearance where floated labels are contained
 * within the field.
 */

hci-combobox,
:not(hci-combobox) > .mat-form-field {
  display: inline-block;
  border-radius: 2px;

  &:focus-within {
    box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075), 0 0 8px rgba(0, 100, 255, 0.6);
    background-color: var(--bluewarmvividfade-lightest);
  }

  /** Tighten up the spacing **/
  &,
  .mat-form-field {
    font-family: hci-font;
    line-height: 1.2em !important;
    padding: 0;
  }

  .mat-form-field-wrapper {
    padding-bottom: 0 !important;
  }

  .mat-form-field-infix {
    padding: 0.1em 0 !important; /* keep caret off the border */
    width: inherit;
  }

  .mat-form-field-underline {
    bottom: 0 !important;
  }

  .mat-select,
  .mat-input-element {
    font-family: inherit;
    height: auto;
  }

  textarea.mat-input-element {
    margin: 0;
    overflow: hidden;
  }

  /* unfix width in child elements */
  .mat-form-field,
  .mat-form-field-wrapper,
  .mat-form-field-infix {
    width: 100%;
  }

  /* shift normal label up */
  .mat-form-field-label {
    top: .5em !important;
    color: var(--grey-dark);
  }

  /* push floating label down */
  .mat-form-field-should-float .mat-form-field-label,
  &.mat-form-field-should-float .mat-form-field-label {
    top: 1.4em !important;
  }

  /* vertically center matSuffix icons */
  .mat-form-field-flex {
    align-items: center;
    padding: 0 .2em !important; /* remove vertical padding, add horizontal padding */
  }

  .mat-form-field-suffix .mat-icon-button {
    height: inherit;
  }

  .hci-combobox-arrow-wrapper,
  .mat-select-arrow-wrapper {
    vertical-align: top;
  }

  /** remove underline **/
  .mat-form-field-underline {
    height: 0 !important;
  }

  .mat-form-field-ripple {
    display: none;
  }

  /** position mat-error (and possibly hints) above fields **/
  .mat-form-field-subscript-wrapper {
    top: inherit;
    margin-top: 0;
    bottom: 2.8em;
    display: flex;
    overflow: visible;
    white-space: nowrap;
  }

  &.ng-invalid.ng-touched {
    border-color: $pure-red;
    margin-top: .8em;

    .hci-combobox-arrow {
      color: $pure-red;
    }
  }

  &[attr="readonly"] {
    background-color: $white-medlight !important;
    pointer-events: none;
  }

  &:disabled,
  &.mat-form-field-disabled {
    background-color: $white-darkest;
    border: 0.1px solid $grey-lightest;
    border-radius: 2px;
    box-shadow: unset;
    pointer-events: none;

    .mat-input-element {
      color: var(--grey-darkest) !important;
    }
  }
}

/*****
 * Styles for mat-select and the hci-combobox viewport
 */

.hci-combobox-viewport,
.mat-select-panel {
  background: $bluewarmvividfade-lightest;
  color: $greywarm-darkest;
  border: solid, 1px, $black-lightest;

  .mat-option,
  .mat-optgroup-label {
    height: 25px !important;
  }

  .mat-option.mat-active,
  .mat-option:hover {
    background: var(--bluewarmvividfade-light);
  }

  .mat-option.mat-selected,
  .mat-option.hci-combobox-selected {
    color: var(--greywarm-darkest) !important;
    font-weight: 600;
    background-color: var(--bluewarmvividfade-meddark) !important;
  }
}
